$ v = 'f$verify(0)'
$!			LIBMAKE.COM
$!
$!   Command file to build the WWWLibrary on VMS systems.
$!
$!   08-Oct-1997	F.Macrides		macrides@sci.wfeb.edu
$!	Added comments and minor tweaks for convenient addition of
$!	compiler definitions and compiler and linker options.
$!   26-Jul-1995	F.Macrides		macrides@sci.wfeb.edu
$!	Adding support for GNUC.
$!   03-May-1995	F.Macrides		macrides@sci.wfeb.edu
$!	Include /nomember for compilations with DECC.  It's not the
$!	default on AXP and the code assumes byte alignment.
$!   07-Dec-1994	F.Macrides		macrides@sci.wfeb.edu
$!	Updated for DECC/VAX, VAXC/VAX and DECC/AXP
$!   03-NOV-1994	A.Harper		A.Harper@kcl.ac.uk
$!	Mods to support SOCKETSHR/NETLIB and add a /DEBUG/NOOPT option
$!   02-Jun-1994	F.Macrides		macrides@sci.wfeb.edu
$!	Mods to support TCPWare (To use non-blocking connects, you need
$!	the DRIVERS_V405B.INC patch from FTP.PROCESS.COM for TCPware for
$!	OpenVMS Version 4.0-5, or a higher version of TCPWare, which will
$!	have that bug in the TCPDRIVER fixed.  Otherwise, add NO_IOCTL to
$!	the /define=(...) list.)
$!   20-May-1994	Andy Harper		A.Harper@bay.cc.kcl.ac.uk
$!	Added support for the CMU TCP/IP transport
$!   13-Dec-1993	F.Macrides		macrides@sci.wfeb.edu
$!	Mods for conditional compilations with VAXC versus DECC
$!   10-Dec-1993	F.Macrides		macrides@sci.wfeb.edu
$!	Initial version, for WWWLibrary v2.14 with Lynx v2.1
$!
$ ON CONTROL_Y THEN GOTO CLEANUP
$ ON ERROR THEN GOTO CLEANUP
$!
$!	Compiler definitions can be added here as a comma separated
$!	list with a lead comma, e.g., ",HAVE_FOO_H,DO_BLAH".  They
$!	will apply only to the libwww-FM modules. - FM
$!
$ extra = ""
$!
$!	If no TCP/IP agent is specified (as the first argument),
$!	prompt for a number from the list.   Note that the agent
$!	must be the first argument if the debugger mode is to be
$!	set via a second argument (see below). - FM
$!
$ agent = 0
$ IF P1 .EQS. ""
$ THEN
$ 	write sys$output "Acceptable TCP/IP agents are"
$ 	write sys$output " [1] MultiNet (default)"
$ 	write sys$output " [2] UCX"
$ 	write sys$output " [3] WIN_TCP"
$	write sys$output " [4] CMU_TCP"
$	write sys$output " [5] SOCKETSHR_TCP"
$	write sys$output " [6] TCPWARE"
$ 	write sys$output " [7] DECNET"
$ 	read sys$command/prompt="Agent [1,2,3,4,5,6,7] (RETURN = [1]) " agent
$ ENDIF
$ if agent .eq. 1 .or. agent .eqs. "" .or. p1 .eqs. "MULTINET" then -
    transport = "MULTINET"
$ if agent .eq. 2 .or. p1 .eqs. "UCX" then transport = "UCX"
$ if agent .eq. 3 .or. p1 .eqs. "WIN_TCP" then transport = "WIN_TCP"
$ if agent .eq. 4 .or. p1 .eqs. "CMU_TCP" then transport = "CMU_TCP"
$ if agent .eq. 5 .or. p1 .eqs. "SOCKETSHR_TCP" then transport = "SOCKETSHR_TCP"
$ if agent .eq. 6 .or. p1 .eqs. "TCPWARE" then transport = "TCPWARE"
$ if agent .eq. 7 .or. p1 .eqs. "DECNET" then transport = "DECNET"
$!
$ if transport .eqs. "SOCKETSHR_TCP" then extra = extra + ",_DECC_V4_SOURCE"
$ if transport .eqs. "TCPWARE" then extra = extra + ",UCX"
$!
$!	Compiler options can be specified here.  If there was
$!	a second argument (with any value), then debugger mode
$!	with no optimization will be specified as well. - FM
$!
$ 
$ ! Added J.Lauret 21-Mar-2000 for SSL support
$ incp = ""
$ 
$ IF P3 .EQS. ""
$ THEN	read sys$command/prompt="SSL build (y/[n]) " SSL
$ else	ssl = P3
$ endif
$ 
$ if SSL 
$ then	extra = extra + ",USE_SSL"
$ 	incp  = ",SSLINCLUDE:"
$ endif
$ 
$ 
$ cc_opts = ""
$ if p2 .nes. "" then cc_opts = cc_opts + "/DEBUG/NOOPT"
$!
$ IF f$trnlnm("VAXCMSG") .eqs. "DECC$MSG" .or. -
     f$trnlnm("DECC$CC_DEFAULT") .eqs. "/DECC" .or. -
     f$trnlnm("DECC$CC_DEFAULT") .eqs. "/VAXC"
$ THEN
$  v1 = f$verify(1)
$! DECC:
$  v1 = 'f$verify(0)'
$  If transport .eqs. "UCX" .or. transport .eqs. "TCPWARE"
$  Then
$   v1 = f$verify(1)
$
$   cc := cc/decc/prefix=all/nomember'cc_opts'/warning=(disable=implicitfunc)-
	/INCLUDE=([-.Implementation],[---.src],[---.src.chrtrans],[---]'incp')
$   cc /DEFINE=(ACCESS_AUTH,'transport''extra',VC="""2.14""") [-.Implementation]HTString.c
$
$   mcc := 'cc'/DEFINE=(ACCESS_AUTH,'transport''extra')
$
$   v1 = 'f$verify(0)'
$  Else
$   if transport .eqs. "MULTINET" then -
	extra = extra + ",_DECC_V4_SOURCE,__SOCKET_TYPEDEFS"
$   v1 = f$verify(1)
$!
$   cc := cc/decc/prefix=all/nomember'cc_opts'/warning=(disable=implicitfunc)-
	/INCLUDE=([-.Implementation],[---.src],[---.src.chrtrans],[---]'incp')
$   cc/DEFINE=(ACCESS_AUTH,'transport''extra',VC="""2.14""") [-.Implementation]HTString.c
$!
$   mcc := 'cc'/DEFINE=(ACCESS_AUTH,'transport''extra')
$!
$   v1 = 'f$verify(0)'
$  EndIf
$ ELSE
$  IF f$search("gnu_cc:[000000]gcclib.olb") .nes. ""
$  THEN
$   v1 = f$verify(1)
$! GNUC:
$!
$   cc := gcc'cc_opts'/INCLUDE=([-.Implementation],[---.src],[---.src.chrtrans],[---]'incp')
$   cc/DEFINE=(ACCESS_AUTH,'transport''extra',VC="""2.14""") [-.Implementation]HTString.c
$!
$   mcc := 'cc'/DEFINE=(ACCESS_AUTH,'transport''extra') 
$!
$   v1 = 'f$verify(0)'
$  ELSE
$   v1 = f$verify(1)
$! VAXC:
$!
$   cc := cc'cc_opts'/INCLUDE=([-.Implementation],[---.src],[---.src.chrtrans],[---]'incp')
$   cc/DEFINE=(ACCESS_AUTH,'transport''extra',VC="""2.14""") [-.Implementation]HTString.c
$!
$   mcc := 'cc'/DEFINE=(ACCESS_AUTH,'transport''extra') 
$!
$   v1 = 'f$verify(0)'
$  ENDIF
$ ENDIF
$ show sym mcc
$ v1 = f$verify(1)
$ mcc [-.Implementation]HTParse.c
$ mcc [-.Implementation]HTAccess.c
$ mcc [-.Implementation]HTTP.c
$ mcc [-.Implementation]HTFile.c
$ mcc [-.Implementation]HTBTree.c
$ mcc [-.Implementation]HTFTP.c
$ mcc [-.Implementation]HTTCP.c
$ mcc [-.Implementation]SGML.c
$ mcc [-.Implementation]HTMLDTD.c
$ mcc [-.Implementation]HTChunk.c
$ mcc [-.Implementation]HTPlain.c
$ mcc [-.Implementation]HTMLGen.c
$ mcc [-.Implementation]HTAtom.c
$ mcc [-.Implementation]HTAnchor.c
$ mcc [-.Implementation]HTStyle.c
$ mcc [-.Implementation]HTList.c
$ mcc [-.Implementation]HTRules.c
$ mcc [-.Implementation]HTFormat.c
$ mcc [-.Implementation]HTMIME.c
$ mcc [-.Implementation]HTNews.c
$ mcc [-.Implementation]HTGopher.c
$ mcc [-.Implementation]HTTelnet.c
$ mcc [-.Implementation]HTFinger.c
$ mcc [-.Implementation]HTWSRC.c
$ mcc [-.Implementation]HTAAUtil.c
$ mcc [-.Implementation]HTAABrow.c
$ mcc [-.Implementation]HTGroup.c
$ mcc [-.Implementation]HTAAProt.c
$ mcc [-.Implementation]HTAssoc.c
$ mcc [-.Implementation]HTLex.c
$ mcc [-.Implementation]HTUU.c
$ mcc [-.Implementation]HTVMSUtils.c
$ mcc [-.Implementation]getpass.c
$ mcc [-.Implementation]getline.c
$ mcc [-.Implementation]crypt.c
$ mcc [-.Implementation]crypt_util.c
$ mcc [-.Implementation]HTWAIS.c
$ mcc [-.Implementation]HTVMS_WaisUI.c
$ mcc [-.Implementation]HTVMS_WaisProt.c
$!
$ If f$search("[-.Implementation]WWWLib_''transport'.olb") .eqs. "" Then -
    LIBRARY/Create [-.Implementation]WWWLib_'transport'.olb
$ LIBRARY/Replace [-.Implementation]WWWLib_'transport'.olb *.obj
$ Delete/nolog/noconf *.obj;*
$!
$ v1 = 'f$verify(0)'
$ CLEANUP:
$    v1 = f$verify(v)
$exit
